<template>
  <cover-split-section :cover-image="coverImage">
    <template #heading>
      <h1>{{ heading }}</h1>
    </template>

    <template #default>
      <!-- contact data -->
      <div class="flex flex-col -my-2">
        <!--email-->
        <icon-item class="my-2" icon="email-icon.svg" :icon-style="iconStyle">
          <hyper-link :to="`mailto:${contactData.email}`">
            {{ contactData.email }}
          </hyper-link>
        </icon-item>
        <!--phone-->
        <icon-item class="my-2" icon="phone-icon.svg" :icon-style="iconStyle">
          <hyper-link :to="`tel:${contactData.telf}`">
            {{ contactData.telf }}
          </hyper-link>
        </icon-item>
        <!--address-->
        <icon-item class="my-2" icon="home-icon.svg" :icon-style="iconStyle">
          <span>{{ address }}</span>
        </icon-item>
      </div>

      <!-- social data -->
      <div class="flex justify-start items-center -mx-2 mt-12">
        <template v-for="(network, index) in socialData">
          <social-icon-link :key="index" :network="network" />
        </template>
      </div>
    </template>

    <!-- hint to contact form -->
    <template #bottom>
      <div class="mt-16 xl:mb-6">
        <div class="statement xl:max-w-xl" v-html="content.label" />
        <!-- arrow-down-icon.svg -->
        <svg
          xmlns="http://www.w3.org/2000/svg"
          class="mt-4 mx-auto h-10 w-10 stroke-current lg:-mx-2 lg:h-12 lg:w-12"
          viewBox="0 0 24 24"
          fill="none"
          stroke-width="1.5"
          stroke-linecap="round"
          stroke-linejoin="round"
        >
          <path d="M12 5v14M19 12l-7 7-7-7" />
        </svg>
        <!-- arrow-down-icon.svg -->
      </div>
    </template>
  </cover-split-section>
</template>

<script>
import IconItem from '~/components/common/IconItem';
import SocialIconLink from '~/components/common/SocialIconLink';

export default {
  name: 'ContactoCoverSection',
  components: {
    IconItem,
    SocialIconLink,
  },
  inject: ['site'],
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
    content: { type: Object, default: () => ({}) },
  },
  computed: {
    iconStyle() {
      return {
        margin: 'mr-4',
        size: 'h-8 w-8',
        colors: { fg: 'text-orange-900' },
      };
    },
    address() {
      const { street, postalCode, city } = this.site.settings.address;
      return `${street} · ${postalCode} · ${city}`;
    },
    contactData() {
      return this.site.settings.contact;
    },
    socialData() {
      const { social } = this.site.settings;

      return Object.keys(social).map(key => ({
        id: key,
        url: social[key],
      }));
    },
  },
};
</script>
